uniform sampler2D tex;

void main()
{
vec4 rgba = texture2D(tex, gl_TexCoord[0].xy);
// RGB mit Alpha-Kanal als Eingabe

gl_FragColor[0] = 0.299 * rgba[0] + 0.587 * rgba[1] + 0.114 * rgba[2];
gl_FragColor[1] = -0.147 * rgba[0] -0.289 * rgba[1] + 0.426 * rgba[2] + 0.5;
gl_FragColor[2] = 0.615 * rgba[0] - 0.515 * rgba[1] -0.1 * rgba[2] + 0.5;
gl_FragColor[3] = rgba[3];
// YUVA als Ausgabe
}
